New LiquidCrystal library 1.3.0 Generic LCD driver library

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoftI2CMaster Class Reference

## Public Member Functions
| SoftI2CMaster (uint8_t sclPin, uint8_t sdaPin)
| SoftI2CMaster (uint8_t sclPin, uint8_t sdaPin, uint8_t usePullups)
void | setPins (uint8_t sclPin, uint8_t sdaPin, uint8_t usePullups)
uint8_t | beginTransmission (uint8_t address)
uint8_t | beginTransmission (int address)
uint8_t | endTransmission (void)
uint8_t | write (uint8_t)
void | write (uint8_t *, uint8_t)
void | write (int)
void | write (char *)
uint8_t | requestFrom (int address)
uint8_t | requestFrom (uint8_t address)
uint8_t | read (uint8_t ack)
uint8_t | read ()
uint8_t | readLast ()

The documentation for this class was generated from the following files:

- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/SoftI2CMaster.h
- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/SoftI2CMaster.cpp